Skip to content

API V1 · Resources

Delete a resource container

DELETE
/v1/{workspaceUrl}/projects/{projectUrl}/resources/{fileName}
curl --request DELETE \
--url https://api.lingohub.com/v1/WORKSPACE_URL/projects/PROJECT_URL/resources/FILE_NAME \
--header 'Authorization: Bearer YOUR_API_KEY'

Deletes the specified resource container (file) and all its associated locale files. The fileName and optional path parameters must identify the source language file of the resource container. If the specified file does not belong to the source language, the request will be rejected with a 400 error.

workspaceUrl
required
string

WorkspaceUrl

projectUrl
required
string

ProjectUrl

fileName
required
string

File name of the resource file to be deleted. Has to address the source language file.

path
string

File Path of the resource file to deleted. Has to address the source language file.

branch
string

Name of the project branch. If omitted, the project’s default branch is used. Returns 422 if the branch name does not exist in the project.

Successfully deleted the resource container and all its associated locale files.

Bad Request: The specified file name/path does not belong to the source language of the project.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}

Unauthorized: Authentication credentials are missing or invalid.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}

Forbidden: The authenticated user does not have resource management permission on this project.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}

Not Found: The specified workspace, project, or resource container does not exist.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}

Unprocessable Entity: The specified branch name does not exist in the project.

Media typeapplication/json
object
url
string
message
string
text
string

Example generated

{
"url": "example",
"message": "example",
"text": "example"
}